# Primitive Class `Flow.SkyLayer`

Describes a layer of moving clouds.

As seen in TR4's City of the Dead.

## Members

color | (Color) RGB sky color
speed | (int) cloud speed.

## Functions

SkyLayer(color, speed) |

## Members

color
  (Color) RGB sky color
speed
  (int) cloud speed.

          Values can be between [-32768, 32767], with positive numbers resulting in a sky that scrolls from
          west to east, and negative numbers resulting in one that travels east to west.

          Please note that speeds outside of the range of about [-1000, 1000] will cause the
          sky to scroll so fast that it will no longer appear as a coherent stream of clouds.
          Less is more. City of The Dead, for example, uses a speed value of 16.

## Functions

SkyLayer(color, speed)

  ### Parameters:

  - color Color RGB color
  - speed int cloud speed

  ### Returns:

  SkyLayer A SkyLayer object.

generated by TEN-LDoc (a fork of LDoc 1.4.6)